TM121TEMP(4)

NAME
tm121temp - Texas Instruments TMP121 temperature sensor

SYNOPSIS
tm121temp0 at spi? slave 0

DESCRIPTION
The tm121temp driver provides support for the Texas Instruments (formerly Burr-Brown) TMP121 temperature sensor with the envsys(4) API. These devices are connected to the host system with spi(4) or Microwire 4-wire serial busses. The tm121temp is capable of measuring temperatures with a 2 degree accuracy over the frame from -40 to 125 Celsius. Temperatures are reported with a granularity of 625 microKelvins.

tm121temp devices can transfer information at up to 10MHz, and support SPI mode 0.

The device reports itself with envsys(4) using the generic device name. This name can be overridden, by specifying an alternate name in the device property “envsys-description”.

SEE ALSO
envsys(4), spi(4), envstat(8)

HISTORY
The tm121temp driver was written by Garrett D'Amore and first appeared in NetBSD 4.0.